[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# get_segment_limit

Return segment limits from descriptor

## Declaration

Source position: go32.pp line 99

`function get_segment_limit(`
`d: Word`
`):DWord;`

## Description

Returns a descriptors segment limit.

Parameters:

d
  selector.

Return value: Limit of the descriptor in bytes.

## Errors

Returns zero if descriptor is invalid.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_limit |  | Set descriptor limit
set_segment_base_address |  | Set descriptor's base address
get_segment_base_address |  | Return base address from descriptor table